Subject: New ECS Home Page

From: [email-masked] (The Electrochemical Society Staff)
Date: Mon, 6 Mar 1995 15:03:38 GMT

The Electrochemical Society, Inc. has recently launched it's own Home 
Page on the World Wide Web, located at the following address: 
http://www.electrochem.org/ecs/.  The Electrochemical Society, Inc., 
founded in 1902, provides the principal forum for the presentation of 
scientific research and technology advancement in the fields of 
electrochemistry and solid state science and technology.  The Electrochemical 
Society, Inc. is an international educational, nonprofit organization 
concerned with a broad range of phenomena related to electrochemical and solid 
state science and technology with more than 6,000 scientists and engineers in 
over 60 countries worldwide who hold active membership.

        We  invite you to browse through our new ECS Home Page to learn 
more about the Society and what it has to offer.  For additional information 
and an application for admission, contact The Electrochemical Society 
Membership Department, 10 South Main Street, Pennington, New Jersey  
08534-2896 USA, Phone: (609) 737-1902, Fax: (609) 737-2743, E-mail: 
[email-masked]; Web Page: http://www.electrochem.org/ecs/.